# ProblemDefinition

@Incubating
interface ProblemDefinition

Describes a specific problem without context.

For example, in the domain of Java compilation problems, an unused variable warning could be described as such:

- group: compilation:java
- unused variable
- severity: WARNING
- ...

The category and the label uniquely identify the problem definition, the remaining fields only supply additional information.

#### Since

8.13

## Functions

getDocumentationLink
Link copied to clipboard
@Nullable
abstract fun getDocumentationLink(): @Nullable DocLink
A link to the documentation for this problem.
getId
Link copied to clipboard
abstract fun getId(): ProblemId
The problem id.
getSeverity
Link copied to clipboard
abstract fun getSeverity(): Severity
Problem severity.